Bug 97076 - Spec file still requires gnome-libs even if gtk2 ask-pass is selected
Summary: Spec file still requires gnome-libs even if gtk2 ask-pass is selected
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-10 00:22 UTC by Chris Chabot
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 14:52:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Chabot 2003-06-10 00:22:41 UTC
Description of problem:
If you set %define gtk2 1 in the spec file for openssh, the requires statement 
still requires gnome-libs (which is a gtk1 ask-pass). Checked upto 3.5p1-7

Better might be a construction as:
%if !%no_gnome_ask_pass
%if gtk2
Requires: libgnome, gtk2, ...etc
%else
Requires: gnome-libs
%endif
%endif

Would that work? (Knowing rpm's buggy nested if statements) Else it might be 
an idea to make gnome2_ask_pass and gnome1_ask_pass settings? 

Ran into this while trying to banish gnome1 and kde from my system..

Comment 1 Tomas Mraz 2005-02-04 14:52:31 UTC
Fixed in the current Fedora Core.


Note You need to log in before you can comment on or make changes to this bug.